Bug 97665 - inefficient queries when requesting article
Summary: inefficient queries when requesting article
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Archit Shah
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: rc0blockers
TreeView+ depends on / blocked
 
Reported: 2003-06-18 22:08 UTC by Bryan Che
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-03 17:51:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bryan Che 2003-06-18 22:08:20 UTC
I published an article and requested it.  According to ds, there are a bunch of
queries that would ideally be rolled into one for performance reasons.  For
example, there are 7 queries that each select a different column from the same
table:

select ao.object_id as column0,
       ao.default_domain_class as column1
from content_types ct,
     acs_objects ao
where ao.object_id = ct.type_id and ? = ct.type_id


    BINDS: {1=111}

	 
15	1 ms	521234698	

select ao.object_id as column0,
       ao.display_name as column1
from content_types ct,
     acs_objects ao
where ao.object_id = ct.type_id and ? = ct.type_id


    BINDS: {1=111}

	 
16	1 ms	521234698	

select ao.object_id as column0,
       ct.object_type as column1
from content_types ct,
     acs_objects ao
where ao.object_id = ct.type_id and ? = ct.type_id


    BINDS: {1=111}

and so on.


Note You need to log in before you can comment on or make changes to this bug.